package p03_interakcja.skaner;

import java.util.Locale;
import java.util.Scanner;

public class ProstokatUS2 {

	public static void main(String[] args) {
		// Tworząc Scanner oraz używając operacji printf, wskazuję Locale, które mają być użyte.
		Scanner scanner = new Scanner(System.in);
		scanner.useLocale(Locale.US);
		
		System.out.print("Podaj długość prostokąta: ");
		double a = scanner.nextDouble();
		System.out.print("Podaj szerokość prostokąta: ");
		double b = scanner.nextDouble();
		
		double pole = a*b;
		double obwod = 2*a + 2*b;
		System.out.println("Pole: " + pole);
		System.out.println("Obwód: " + obwod);
		
		// wersja printf (działa tak samo jak String.format):
		System.out.printf(Locale.US, "Dla prostokąta o bokach %.3f × %.3f pole wynosi %.3f a obwód %.3f\n",
				a, b, pole, obwod);
	}

}
